Package com.io7m.idstore.server.api

# Record Class IdServerMaintenanceConfiguration

java.lang.Object
java.lang.Record
com.io7m.idstore.server.api.IdServerMaintenanceConfiguration

Record Components:
  `tlsReloadInterval` - The interval at which to reload TLS contexts

public record IdServerMaintenanceConfiguration(Optional<Duration> tlsReloadInterval) extends Record
Configuration information for the server's maintenance service.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdServerMaintenanceConfiguration(Optional<Duration> tlsReloadInterval)`
  Configuration information for the server's maintenance service.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `Optional<Duration>`
  `tlsReloadInterval()`
  Returns the value of the `tlsReloadInterval` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdServerMaintenanceConfiguration

    public IdServerMaintenanceConfiguration(Optional<Duration> tlsReloadInterval)
    Configuration information for the server's maintenance service.
    Parameters:
      `tlsReloadInterval` - The interval at which to reload TLS contexts

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### tlsReloadInterval

    public Optional<Duration> tlsReloadInterval()
    Returns the value of the `tlsReloadInterval` record component.
    Returns:
      the value of the `tlsReloadInterval` record component